* {
    box-sizing: border-box;
}

body{
    background-color:#BADBFF;
    font-family:"IBM Plex Sans";
    line-height: 1.75;
    padding: 0 1rem;
}

header {
    text-align: center;
}

nav {
    display: flex;
    justify-content: center;
    gap: 1rem;
    margin-bottom: 2rem;
}

h1, h2, h3, h4 {
    font-family:"Nova Mono", monospace;
}

.text-column {
    min-width: 40ch;   
    max-width: 100ch;      
    margin: 0 auto;
}

h1 { font-size: 2.5rem; }
h2 { font-size: 2rem;}
h3 { font-size: 1.5rem;}

.about-me {
    margin-bottom: 2rem;   /* gap after each section */
    background-color: #5CABFF;

    color: #001F3F;

    padding: 1.5rem;

    border-radius: 10px;
}

.interests{
    margin-bottom: 2rem;   /* gap after each section */

    background-color: #2E93FF;

    color: #000000;

    padding: 1.5rem;

    border-radius: 10px;
}

.interests-pjo {
    background-color: #E87800;
    color: #001F3F;

    padding: 1rem;

    border-radius: 10px;
    border: 4px solid #000000;
    margin: 1.5rem 0;
}

.projects {
    margin-bottom: 2rem;   /* gap after each section */

    background-color: #004FA0;

    color: #E0E0E0;

    padding: 1.5rem;

    border-radius: 10px;
}

